package com.eactive.eai.rms.onl.statistics.chnlmdiadstcd.dao;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

import org.springframework.stereotype.Repository;

import com.eactive.eai.rms.common.base.SqlMapClientTemplateDao;
import com.eactive.eai.rms.onl.statistics.chnlmdiadstcd.vo.ChnlMdiaDstcdDailyVO;
import com.eactive.eai.rms.onl.statistics.eaisvcname.vo.StatisticsForm;
import com.ibatis.sqlmap.client.event.RowHandler;

/**
 * <pre>
 * 1. 기능 : 
 * 2. 처리 개요 : 
 *     - 
 * 3. 주의사항 : 
 * </pre>
 * @author  : music75
 * @version : $Revision: 1.1 $
 * @since : rts 1.0
 * @spring.bean id="chnlMdiaDstcdDailyDAO"
 * @spring.property name="dataSource" ref="dataSource"
 */
@Repository("chnlMdiaDstcdDailyDAO")
public class ChnlMdiaDstcdDailyDAOImpl
        extends SqlMapClientTemplateDao
        implements ChnlMdiaDstcdDailyDAO {

    /**
     * <pre>
     * 1. 기능 : 매체별 일별 통계 리스트 조회
     * 2. 처리 개요 : 
     *     - 
     * 3. 주의사항 : Overriden 
     * </pre>
     * @author  : music75
     * @version : $Revision: 1.1 $
     * @since : rts 1.0
     * @see com.eactive.eai.rts.biz.statistics.chnlmdiadstcd.dao.ChnlMdiaDstcdDailyDAO#findByChnlMdiaDstcdDaily(com.eactive.eai.rts.biz.statistics.eaisvcname.vo.StatisticsForm)
     * @param statisticsForm
     * @return
     */
    public List findByChnlMdiaDstcdDaily(StatisticsForm statisticsForm) {
        //int pageNum = statisticsForm.getPageNum();

    	final ArrayList<ChnlMdiaDstcdDailyVO> al = new ArrayList<ChnlMdiaDstcdDailyVO>();

        final HashMap<String, String> paramMap = new HashMap<String, String>();
        paramMap.put("chnlMdiaDstcd", statisticsForm.getChnlMdiaDstcd());
        paramMap.put("startDate", statisticsForm.getStartDate());
        paramMap.put("endDate", statisticsForm.getEndDate());
    	template.queryWithRowHandler("ChnlMdiaDstcdDaily.findByChnlMdiaDstcdDaily", paramMap,
    			new RowHandler(){
            		@SuppressWarnings("unchecked")
                    public void handleRow(Object valueObject) {
            			ChnlMdiaDstcdDailyVO vo = (ChnlMdiaDstcdDailyVO)valueObject;
                        al.add(vo);
        }});
        return al;
    }
}
